- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_PSDL_Node Class Reference

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Node:

[legend]
Collaboration diagram for TAO_PSDL_Node:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Node (void)
virtual | ~TAO_PSDL_Node (void)
virtual int | accept (TAO_PSDL_Node_Visitor *visitor)=0
virtual int | type_of_node (void) const
ACE_CString | get_identifier_type (void)
ACE_CString | get_identifier_value (void)
void | set_identifier (ACE_CString identifier)
void | set_predefined_type (void)
TAO_PSDL_Scope * | psdl_scope (void)
| Accessor methods.
TAO_PSDL_Scope_Visitor * | psdl_scope_visitor (void)
## Protected Attributes
int | type_
ACE_Array_Base< ACE_CString > | identifiers_
CORBA::ULong | count_
CORBA::Boolean | predefined_type_
TAO_PSDL_Scope * | psdl_scope_
| Pointer to psdl_scope_.
TAO_PSDL_Scope_Visitor * | psdl_scope_visitor_

## Constructor & Destructor Documentation

TAO_PSDL_Node::TAO_PSDL_Node | ( | void |  | ) |

TAO_PSDL_Node::~TAO_PSDL_Node | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_PSDL_Node::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[pure virtual]`

Implemented in TAO_PSDL_Specification, TAO_PSDL_Definition, TAO_PSDL_Module, TAO_PSDL_Abstract_Storagetype, TAO_PSDL_Abstract_Storagetype_Dcl, TAO_PSDL_Abstract_Storagetype_Fwd_Dcl, TAO_PSDL_Abstract_Storagetype_Header, TAO_PSDL_Abstract_Storagetype_Body, TAO_PSDL_Abstract_Storagetype_Member, TAO_PSDL_Abstract_Storagetype_Inh_Spec, TAO_PSDL_Abstract_Storagetype_Name, TAO_PSDL_Psdl_State_Dcl, TAO_PSDL_Psdl_State_Type_Spec, TAO_PSDL_Abstract_Storagetype_Ref_Type, TAO_PSDL_Abstract_Storagehome, TAO_PSDL_Abstract_Storagehome_Fwd_Dcl, TAO_PSDL_Abstract_Storagehome_Dcl, TAO_PSDL_Abstract_Storagehome_Header, TAO_PSDL_Abstract_Storagehome_Body, TAO_PSDL_Abstract_Storagehome_Member, TAO_PSDL_Abstract_Storagehome_Inh_Spec, TAO_PSDL_Abstract_Storagehome_Name, TAO_PSDL_Local_Op_Dcl, TAO_PSDL_Key_Dcl, TAO_PSDL_Catalog, TAO_PSDL_Catalog_Inh_Spec, TAO_PSDL_Catalog_Name, TAO_PSDL_Catalog_Body, TAO_PSDL_Catalog_Member, TAO_PSDL_Provides_Dcl, TAO_PSDL_Storagetype, TAO_PSDL_Storagetype_Dcl, TAO_PSDL_Storagetype_Fwd_Dcl, TAO_PSDL_Storagetype_Header, TAO_PSDL_Storagetype_Body, TAO_PSDL_Storagetype_Member, TAO_PSDL_Storagetype_Inh_Spec, TAO_PSDL_Storagetype_Name, TAO_PSDL_Storagetype_Impl_Spec, TAO_PSDL_Storagetype_Ref_Type, TAO_PSDL_Storagehome_Scope, TAO_PSDL_Store_Directive, TAO_PSDL_Psdl_Concrete_State_Type, TAO_PSDL_Ref_Rep_Directive, TAO_PSDL_Storagehome, TAO_PSDL_Storagehome_Header, TAO_PSDL_Storagehome_Body, TAO_PSDL_Storagehome_Member, TAO_PSDL_Storagehome_Inh_Spec, TAO_PSDL_Storagehome_Name, TAO_PSDL_Storagehome_Impl_Spec, TAO_PSDL_Primary_Key_Dcl, TAO_PSDL_Identifier, TAO_PSDL_Type_Dcl, TAO_PSDL_Type_Declarator, TAO_PSDL_Type_Spec, TAO_PSDL_Simple_Type_Spec, TAO_PSDL_Base_Type_Spec, TAO_PSDL_Template_Type_Spec, TAO_PSDL_Constr_Type_Spec, TAO_PSDL_Declarators, TAO_PSDL_Declarator, TAO_PSDL_Simple_Declarator, TAO_PSDL_Simple_Declarator_List, TAO_PSDL_Complex_Declarator, TAO_PSDL_Predefined_Type, TAO_PSDL_Member_List, TAO_PSDL_Member, TAO_PSDL_Union_Type, TAO_PSDL_Switch_Type_Spec, TAO_PSDL_Switch_Body, TAO_PSDL_Case, TAO_PSDL_Case_Label, TAO_PSDL_Element_Spec, TAO_PSDL_Const_Dcl, TAO_PSDL_Const_Type, TAO_PSDL_Const_Exp, TAO_PSDL_Or_Expr, TAO_PSDL_Xor_Expr, TAO_PSDL_And_Expr, TAO_PSDL_Shift_Expr, TAO_PSDL_Add_Expr, TAO_PSDL_Mult_Expr, TAO_PSDL_Unary_Expr, TAO_PSDL_Primary_Expr, TAO_PSDL_Except_Dcl, TAO_PSDL_Op_Dcl, TAO_PSDL_Op_Type_Spec, TAO_PSDL_Parameter_Dcls, TAO_PSDL_Param_Dcl, TAO_PSDL_Raises_Expr, TAO_PSDL_Context_Expr, TAO_PSDL_Param_Type_Spec, TAO_PSDL_Fixed_Pt_Type, TAO_PSDL_Constr_Forward_Decl, TAO_PSDL_Interface, TAO_PSDL_Interface_Body, TAO_PSDL_Interface_Dcl, TAO_PSDL_Forward_Dcl, TAO_PSDL_Interface_Header, TAO_PSDL_Export_Dcl, TAO_PSDL_Interface_Inheritance_Spec, TAO_PSDL_Interface_Name, TAO_PSDL_Scoped_Name, TAO_PSDL_Value, TAO_PSDL_Value_Common_Base, TAO_PSDL_Value_Forward_Dcl, TAO_PSDL_Value_Box_Dcl, TAO_PSDL_Value_Abs_Dcl, TAO_PSDL_Value_Dcl, TAO_PSDL_Value_Header, TAO_PSDL_Value_Inheritance_Spec, TAO_PSDL_Value_Name, TAO_PSDL_Value_Element, TAO_PSDL_Array_Declarator, TAO_PSDL_Fixed_Array_Size, TAO_PSDL_Attr_Dcl, TAO_PSDL_Enumerator, TAO_PSDL_Literal, TAO_PSDL_State_Member, TAO_PSDL_Init_Dcl, TAO_PSDL_Init_Param_Decls, TAO_PSDL_Init_Param_Decl, TAO_PSDL_Positive_Int_Const, TAO_PSDL_Factory_Dcl, and TAO_PSDL_Factory_Parameters.

ACE_CString TAO_PSDL_Node::get_identifier_type | ( | void |  | ) |

ACE_CString TAO_PSDL_Node::get_identifier_value | ( | void |  | ) |

TAO_PSDL_Scope * TAO_PSDL_Node::psdl_scope | ( | void |  | ) |

Accessor methods.

TAO_PSDL_Scope_Visitor * TAO_PSDL_Node::psdl_scope_visitor | ( | void |  | ) |

void TAO_PSDL_Node::set_identifier | ( | ACE_CString | identifier | ) |

void TAO_PSDL_Node::set_predefined_type | ( | void |  | ) |

int TAO_PSDL_Node::type_of_node | ( | void |  | ) | const`[virtual]`

## Member Data Documentation

CORBA::ULong TAO_PSDL_Node::count_`[protected]`

ACE_Array_Base<ACE_CString> TAO_PSDL_Node::identifiers_`[protected]`

CORBA::Boolean TAO_PSDL_Node::predefined_type_`[protected]`

TAO_PSDL_Scope* TAO_PSDL_Node::psdl_scope_`[protected]`

Pointer to psdl_scope_.

TAO_PSDL_Scope_Visitor* TAO_PSDL_Node::psdl_scope_visitor_`[protected]`

int TAO_PSDL_Node::type_`[protected]`

Reimplemented in TAO_PSDL_Switch_Type_Spec, TAO_PSDL_Case_Label, TAO_PSDL_Const_Type, TAO_PSDL_Shift_Expr, TAO_PSDL_Add_Expr, TAO_PSDL_Mult_Expr, TAO_PSDL_Op_Type_Spec, TAO_PSDL_Constr_Forward_Decl, TAO_PSDL_Forward_Dcl, and TAO_PSDL_Interface_Header.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp